Subject: IPS: SLP MIB draft

From: Mark Bakke <[email-masked]>
Date: Wed, 20 Mar 2002 15:49:49 -0600

Here's the SLP MIB draft announcement from the SLP list.  The
object model (extremely simple) is at:

ftp://ftp.pwg.org/pub/pwg/ipp/new_SLP/draft-mcdonald-svrloc-mib-uml-03.pdf

--
Mark

"McDonald, Ira" wrote:
> 
> Copies: "SLP Project" <[email-masked]>
>         "IETF IPP WG" <[email-masked]>
> 
> Hi folks,                                          Friday (1 March 2002)
> 
> I've just sent a revised draft of 'Definitions of Managed Objects for
> Service Location Protocol (SLP MIB)' to the Internet-Drafts editor and
> posted a copy on the Printer Working Group (PWG) Anonymous FTP server in
> the directory 'ftp://ftp.pwg.org/pub/pwg/ipp/new_SLP/' in the files:
> 
>     <draft-mcdonald-svrloc-mib-03.txt> (1 March 2002) - full I-D
>     <draft-mcdonald-svrloc-mib-03.mib> (1 March 2002) - SMIv2 MIB
> 
> This draft is a minor rewrite to remove all the remaining 'read-write'
> objects, per concensus of the SLP Project mailing list.  The draft-01
> defined 142 objects.  This new draft defines 10 mandatory and 6 optional
> objects.
> 
> My co-editor Mark Bakke (Cisco) will raise the question of a separate
> experimental (or standards track) SLPv2 Configuration MIB during the
> IETF IPS (IP Storage) WG session on Monday (18 March 2002) at IETF 53
> in Minneapolis (iSCSI uses SLPv2 for discovery and requires remote
> configuration capabilities for SLPv2 DAs/SAs).
> 
> Comments?
> 
> Cheers,
> - Ira McDonald (co-editor of SLP MIB)
>   High North Inc
>   [email-masked]
> 
> ------------------------------------------------------------------------
> 
> 14.  Appendix X - Change Log
> 
>    [to be deleted before publication as an RFC]
> 
>    <draft-mcdonald-svrloc-mib-03.txt> 1 March 2002
>    - added Normative References section, per request of RFC Editor
>    - added Informative References section, per request of RFC Editor
>    - revised Abstract, Introduction, and Security Considerations to
>      state that the SLP MIB supports passive monitoring (but not
>      configuration), per concensus of SLP Project mailing list
>    - deleted Property group (last remaining 'read-write' objects), per
>      concensus of SLP Project mailing list
> 
> ------------------------------------------------------------------------
> 
> Copies: "Internet Drafts Editor" <[email-masked]>
>         "Mark Bakke" <[email-masked]>
>         "Ira McDonald" <[email-masked]>
> 
> I-D Editor,                                        Friday (1 March 2002)
> 
> Please place this updated document in the Internet-Drafts repository
> named:
> 
>     <draft-mcdonald-svrloc-mib-03.txt> (1 March 2002)
> 
> It replaces the previous draft:
> 
>     <draft-mcdonald-svrloc-mib-02.txt> (11 February 2002)
> 
> Abstract
> 
>    This memo defines a portion of the Management Information Base (MIB)
>    for use with network management protocols in the Internet community.
>    In particular, it defines as set of managed objects that support
>    monitoring (but not configuration) of Service Location Protocol
>    Version 2 (SLPv2) [RFC2608] [RFC3111] directory agents (DAs), service
>    agents (SAs), and user agents (UAs).
> 
> Thanks very much,
> - Ira McDonald (co-editor of SLP MIB)
>   High North Inc
>   [email-masked]
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Srvloc-discuss mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/srvloc-discuss

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054